/* eslint-disable comma-dangle */
/**
 * @author origin
 * Date: 18/05/06
 */
//调用组建
import MetaInfo from './components/meta-info'
import WButton from './components/button'
import WAlert from './components/alert'
import WLoadingBar from './components/loading-bar'
import Wlayout from './components/layout'
import WInput from './components/input'
import Wsingle from './components/single'
import Wcheckbox from './components/checkbox'
import Wupload from './components/upload'
import Wtable from './components/table'
import Wloading from './components/loading'
import Wswiper from './components/swiper'
import WTabs from './components/tabs'
import WuploadPhoto from './components/uploadPhoto'
//dolary
import Dcartoon from './components/dolary'

//directives
import Directives from './directives'

//全局调用icon样式
import './components/style/icon.css'

const components = [
  WButton,
  WAlert,
  Wlayout,
  WInput,
  Wsingle,
  Wcheckbox,
  Wupload,
  Wtable,
  Wloading,
  Wswiper,
  WTabs,
  Dcartoon,
  WuploadPhoto
];

const install = function (Vue) {
  if (install.installed) return;
  components.map(component => Vue.component(component.name, component));
  MetaInfo.install(Vue);
  Object.keys(Directives).forEach(key => {
    Vue.directive(key.toString().toLowerCase(), Directives[key]);
  });
  Vue.prototype.$loading = WLoadingBar
};

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  install,
  WButton,
  WAlert,
  WLoadingBar,
  Wlayout,
  Wsingle,
  Wcheckbox,
  Wupload,
  Wtable,
  Wloading,
  Wswiper,
  WTabs,
  Dcartoon,
  WuploadPhoto,
  Directives
}
